BindingIteratorPOA (Java SE 10 & JDK 10 )
Keywords: org.omg.CosNaming.BindingIteratorPOA class

Module java.corba
Package org.omg.CosNaming

## Class BindingIteratorPOA

- java.lang.Object
- - org.omg.PortableServer.Servant
  - - org.omg.CosNaming.BindingIteratorPOA

- All Implemented Interfaces:
    `InvokeHandler`, `BindingIteratorOperations`

      public abstract class BindingIteratorPOA
      extends Servant
      implements BindingIteratorOperations, InvokeHandler

  The BindingIterator interface allows a client to iterate through the bindings using the next_one or next_n operations. The bindings iterator is obtained by using the `list` method on the `NamingContext`.
  See Also:
    `NamingContextOperations.list(int, org.omg.CosNaming.BindingListHolder, org.omg.CosNaming.BindingIteratorHolder)`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BindingIteratorPOA()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BindingIterator` | `_this()` |
    `BindingIterator` | `_this​(ORB orb)` |

    - ### Methods declared in interface org.omg.CosNaming.BindingIteratorOperations

      `destroy, next_n, next_one`

    - ### Methods declared in interface org.omg.CORBA.portable.InvokeHandler

      `_invoke`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in class org.omg.PortableServer.Servant

      `_all_interfaces, _default_POA, _get_delegate, _get_interface_def, _is_a, _non_existent, _object_id, _orb, _poa, _set_delegate, _this_object, _this_object`

- - ### Constructor Detail

    - #### BindingIteratorPOA

          public BindingIteratorPOA()

  - ### Method Detail

    - #### _this

          public BindingIterator _this()

    - #### _this

          public BindingIterator _this​(ORB orb)